Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.propertyEditor
Class FUPropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.FilePropertyEditor
              com.bbn.openmap.util.propertyEditor.FUPropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.beans.PropertyEditor

public class FUPropertyEditor
extends FilePropertyEditor

FUPropertyEditor - File and URL PropertyEditor. This is a PropertyEditor that provides a text field where a URL or file path can be entered. There is also a button that brings up a file chooser, and anything chosen *replaces* the contents in the text field.

Field Summary

Fields inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`button, textField`

Constructor Summary
`FUPropertyEditor()` Create FUPropertyEditor.

Method Summary
`boolean` | `isTextFieldEditable()` Internal callback method that can be overridden by subclasses.

Methods inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`actionPerformed, cleanUpName, getAsText, getButtonTitle, getCustomEditor, getFileChooser, getFileSelectionMode, getLastLocation, isMultiSelectEnabled, setValue, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FUPropertyEditor

    public FUPropertyEditor()

  Create FUPropertyEditor.

Method Detail

### isTextFieldEditable

    public boolean isTextFieldEditable()

  Internal callback method that can be overridden by subclasses.

  Overrides:
    `isTextFieldEditable` in class `FilePropertyEditor`
  Returns:
    true for FUPropertyEditor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details